Apache Tomcat 7.0.42

## org.apache.catalina.mbeans
Class MBeanDumper

    java.lang.Object
      org.apache.catalina.mbeans.MBeanDumper

    public class MBeanDumper

extends Object

General helper to dump MBean contents to the log.

Constructor Summary
`MBeanDumper()`

Method Summary
`static String` `dumpBeans(MBeanServer mbeanServer, Set<ObjectName> names)` The following code to dump MBeans has been copied from JMXProxyServlet.
`static String` `escape(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanDumper

    public MBeanDumper()

Method Detail

### dumpBeans

    public static String dumpBeans(MBeanServer mbeanServer,
                                   Set<ObjectName> names)

  The following code to dump MBeans has been copied from JMXProxyServlet.

### escape

    public static String escape(String value)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.